Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service
Class CatalogServiceImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SessionImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl

Direct Known Subclasses:
  CatalogManagerImpl, CatalogQueryManagerImpl, CategoryManagerImpl, CustomDataManagerImpl, EpmCustomDataManagerImpl, JdbcCatalogServiceImpl, ProductItemManagerImpl

public class CatalogServiceImpl
extends SessionImpl

This is the base service implementation for all Catalog-related services. It contains common functionality that all Catalog services must implement; therefore, all Catalog service implementations should extend this class.
The `CatalogService` exposes an accessor for retrieving an associated `CatalogManager`. The returned `CatalogManager` implementation service is specified with the `ejb/CatalogManager` environment property.

See Also:
  `CatalogService`, `CatalogServiceHome`, Serialized Form

Field Summary
`static java.lang.String` | `CATALOG_MANAGER_HOME` The Catalog Manager is used to control access to the services for the Product Catalog.

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CatalogServiceImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`CatalogManager` | `getCatalogManager()` Returns a instance of the `CatalogManager`.
`protected java.lang.String` | `getCatalogManagerJndiName()` Helper method to retrieve the JNDI name of the Catalog Manager used by this service.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`protected void` | `validateAuthorization(CatalogRequest request, int code)` This method validates that the caller's `CatalogRequest` object has the credentials to peform the operation in the code argument.

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOG_MANAGER_HOME

    public static java.lang.String CATALOG_MANAGER_HOME

  The Catalog Manager is used to control access to the services for the Product Catalog. This constant identifies the environment variable in the deployment descriptor that allows the deployer to define which session bean to use.

Constructor Detail

### CatalogServiceImpl

    public CatalogServiceImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException

  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Overrides:
    setSessionContext in class SessionImpl

### getCatalogManager

    public CatalogManager getCatalogManager()

  Returns a instance of the `CatalogManager`.

  Returns:
    An instance of the `CatalogManager`.
  Throws:
    java.rmi.RemoteException - on remote error.

### validateAuthorization

    protected void validateAuthorization(CatalogRequest request,
                                         int code)
                                  throws CatalogException

  This method validates that the caller's `CatalogRequest` object has the credentials to peform the operation in the code argument. See `CatalogRequest` for a list of the available codes.

  Parameters:
    `request` - The CatalogRequest object of the caller.
    `code` - the operation code to be authorized.
  Throws:
    CatalogOperationNotAuthorizedException - if the caller does not have sufficient credentials to perform the operation.
  See Also:
    `CatalogRequest`

### getCatalogManagerJndiName

    protected java.lang.String getCatalogManagerJndiName()

  Helper method to retrieve the JNDI name of the Catalog Manager used by this service. The JNDI name of the CatalogManager is required by ViewIterators to allow them to lazily contact their parent services.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved